<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net7.0</TargetFramework>
		<RootNamespace>Insight.Infrastructure</RootNamespace>
		<Product>Insight</Product>
		<AssemblyVersion>2023.12.14.0</AssemblyVersion>
		<ImplicitUsings>true</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<DebugType>none</DebugType>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<DebugType>none</DebugType>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.13" />
		<PackageReference Include="MongoDB.Driver" Version="2.23.0" />
		<PackageReference Include="AspNetCore.Identity.MongoDbCore" Version="3.1.2" />
		<PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="7.0.3" />
		<PackageReference Include="Vaitr.Scheduler" Version="2023.12.6" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\Insight.Domain\Insight.Domain.csproj" />
	</ItemGroup>

</Project>
